Page MenuHomePhabricator

Add a "Build with CircleCI" build step
ClosedPublic

Authored by epriestley on Oct 15 2015, 4:02 AM.

Details

Summary

Ref T9456. Some rough edges and we can't complete the build yet since I haven't written a webhook, but this mostly seems to be working.

Test Plan
  • Ran this build on some stuff.
  • Ran a normal HTTP step build to make sure I didn't break that.

Diff Detail

Repository
rP Phabricator
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

epriestley updated this revision to Diff 34484.Oct 15 2015, 4:02 AM
epriestley retitled this revision from to Add a "Build with CircleCI" build step.
epriestley updated this object.
epriestley edited the test plan for this revision. (Show Details)
epriestley added a reviewer: chad.
  • Avoid triggering CircleCI issue with questionable branch name.
  • Support building commits.
chad accepted this revision.Oct 15 2015, 4:00 PM
chad edited edge metadata.
chad added inline comments.
src/applications/harbormaster/step/HarbormasterCircleCIBuildStepImplementation.php
140

This revision is now accepted and ready to land.Oct 15 2015, 4:00 PM
epriestley updated this revision to Diff 34488.Oct 15 2015, 4:36 PM
epriestley edited edge metadata.
  • Remove KeyValuePair stuff which we don't need.
  • Add Artifact stuff to generate a link to CircleCI.
epriestley updated this revision to Diff 35250.Nov 25 2015, 3:17 PM
  • Rebase after possible CircleCI changes.
joshma added a subscriber: joshma.Feb 10 2016, 10:15 PM

out of curiosity, are this diff and D14288 on hold indefinitely? we're hitting some growing pains and would love to have circle ci results in diffs, so debating if we should wait a month or just go ahead and roll our own hacky hooks

We're waiting on CircleCI, you'd have to ask them if you want a timeline.

As soon as CircleCI builds tags, I'll point this at whatever the new API is and land it.

got it, will send them a ping :)

  • Rebase.
  • Use "tag" API.
This revision was automatically updated to reflect the committed changes.